Skip to main content

0.01 credits per call

getAccountInfo on Solana: Returns all information associated with an account.

Endpoint

https://rpc.goldrushdata.com/v1/solana-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
addressstringyesBase-58 encoded account address (pubkey)."vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg"
configobjectno{commitment?, encoding?, dataSlice?: {offset, length}, minContextSlot?}. encoding is one of base58, base64, base64+zstd, jsonParsed.{"encoding":"jsonParsed","commitment":"finalized"}

Returns

object | null: {context, value: {lamports, owner, data, executable, rentEpoch, space} | null}. value is null if the account does not exist.
{"context":{"slot":372877175},"value":{"lamports":88809,"owner":"11111111111111111111111111111111","data":["","base64"],"executable":false,"rentEpoch":361,"space":0}}

Examples

curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getAccountInfo",
    "params": ["vines1vzrYbzLMRdu58ou5XTby4qAqVRLmqo36NKPTg", {"encoding":"jsonParsed","commitment":"finalized"}]
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.